/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Represents the data transfer object (DTO) for GitLab options.
 * @export
 * @interface GitLabOptionsDto
 */
export interface GitLabOptionsDto {
    /**
     * The project ID associated with GitLab.
     * @type {number}
     * @memberof GitLabOptionsDto
     */
    'projectId'?: number;
    /**
     * The repository URL for GitLab.
     * @type {string}
     * @memberof GitLabOptionsDto
     */
    'repoUrl'?: string | null;
    /**
     * The access token for GitLab.
     * @type {string}
     * @memberof GitLabOptionsDto
     */
    'accessToken'?: string | null;
    /**
     * The branch for GitLab.
     * @type {string}
     * @memberof GitLabOptionsDto
     */
    'branch'?: string | null;
}

